=== debian/changelog ===
xen-api (0.1+1317911848-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Thu, 06 Oct 2011 15:42:44 +0100
