=== debian/control ===
Source: xen-api
Section: unknown
Priority: extra
Maintainer: Jon Ludlam <jonathan.ludlam@eu.citrix.com>
Build-Depends: debhelper (>= 8.0.0), ocaml-native-compilers, ocaml-findlib, camlp4, camlp4-extra, autotools-dev, dh-autoreconf, libtype-conv-camlp4-dev, libxmlm-ocaml-dev, uuid-dev, xen-api-libs, omake, libxen-ocaml-dev, libxen-ocaml, libpam-dev, zlib1g-dev, xen-utils, libxen-dev
Standards-Version: 3.9.2
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/xen-api.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/xen-api.git;a=summary

Package: xapi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, squeezed, v6d, fe, xen-sm, xen-hypervisor-4.1, stunnel, hwdata
Recommends: vncterm
Description: The Xen API server
 The Xen API server, which allows the control of the virtual machines hosted via
 the XenAPI.

Package: xen-api-doc
Architecture: all
Description: documentation for xen-api
 <insert long description, indented with spaces>

Package: squeezed
Architecture: any
Depends: ${shlibs:Depends}, xen-hypervisor
Description: A daemon in charge of ballooning xen domains
 This daemon takes requests in the form of xenstore trees and balloons 
 domains up and down.

Package: v6d
Architecture: any
Description: The feature daemon for xapi. 
 It's only temporarily being installed until a better solution is 
 sorted.

Package: ocaml-xapi-client
Architecture: any
Description: The ocaml libraries for talking to xapi

Package: xapi-debug
Architecture: any
Description: Binary utils to help debug xapi
