## xen-api 0.1+1317933935

=== debian/changelog ===
xen-api (0.1+1317933935-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Fri, 07 Oct 2011 00:08:01 +0100
