## xen-api 0.1+1317993160

=== debian/changelog ===
xen-api (0.1+1317993160-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Fri, 07 Oct 2011 14:15:29 +0100
