## xen-api 0.1+1318599985

=== debian/changelog ===
xen-api (0.1+1318599985-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Mon, 17 Oct 2011 01:51:10 +0100
