## xen-api 0.1+1318845811

=== debian/changelog ===
xen-api (0.1+1318845811-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Mon, 17 Oct 2011 12:30:55 +0100
