## xen-api 0.1+1319487496

=== debian/changelog ===
xen-api (0.1+1319487496-1) unstable; urgency=low

  * New autobuild version

 --  <jenkins@myvm.uk.xensource.com>  Tue, 25 Oct 2011 02:38:00 +0100
