## xen-api 1.3

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	omake DESTDIR=$(DESTDIR) lib-uninstall
 
 .PHONY: sdk-install
-sdk-install:
+sdk-install: doc
 	omake sdk-install
 
 .PHONY: clean
@@ -78,14 +78,17 @@
 .PHONY: version
 version:
 	@printf "(* This file is autogenerated.  Grep for e17512ce-ba7c-11df-887b-0026b9799147 (random uuid) to see where it comes from. ;o) *) \n \
-	let hg_id = \"$(shell git show-ref --head | grep -E ' HEAD$$' | cut -f 1 -d ' ')\" \n \
+	let git_id = \"$(shell git show-ref --head | grep -E ' HEAD$$' | cut -f 1 -d ' ')\" \n \
 	let hostname = \"$(shell hostname)\" \n \
 	let date = \"$(shell date -u +%Y-%m-%d)\" \n \
 	let product_version = \"$(PRODUCT_VERSION)\" \n \
 	let product_version_text = \"$(PRODUCT_VERSION_TEXT)\" \n \
 	let product_version_text_short = \"$(PRODUCT_VERSION_TEXT_SHORT)\" \n \
+	let platform_version = Util_inventory.lookup ~default:\"\" \"PLATFORM_VERSION\" \n \
 	let product_brand = \"$(PRODUCT_BRAND)\" \n \
-	let build_number = Util_inventory.lookup ~default:\"$(BUILD_NUMBER)\" \"BUILD_NUMBER\" \n" \
+	let build_number = Util_inventory.lookup ~default:\"$(BUILD_NUMBER)\" \"BUILD_NUMBER\" \n \
+	let xapi_version_major = $(shell cut -d. -f1 VERSION) \n \
+	let xapi_version_minor = $(shell cut -d. -f2 VERSION) \n" \
 	> ocaml/util/version.ml
 
  .PHONY: clean
