=== docs/squeezed/Makefile ===
default:
	pdflatex main.tex
	pdflatex main.tex
