=== debian/changelog ===
xen-api (1.3-16) unstable; urgency=low

  * Added missing xen-utils-common dependency (Closes: #655714).
  * Fixed the Vcs fields.
  * Fixed the dh_python2 calls as advised in debian-python@l.d.o.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Jan 2012 16:49:10 +0000

xen-api (1.3-15) unstable; urgency=low

  * python-xenapi was missing a Replaces: xcp-xapi (<< 1.3-14), since it has
  files that moved from it.
  * Fixed wrong path of xend.pid in xcp-xapi init.d error message.
  * dh_python2 calls reworked, since it was missing some .py files, and as a
  consequence python-xenapi didn't include a postinst for building .pyc files.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Jan 2012 03:32:39 +0000

xen-api (1.3-14) unstable; urgency=low

  [Thomas Goirand]
  * Now Recommends: smbfs so we can mount iso SR over samba.
  * Packages XenAPI python library in a separate binary.
  [Mike McClurg]
  * Added a debian/patches to make it possible to use override
  XCP reported version in /etc/xcp/xapi_version_override.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Dec 2011 15:00:43 +0000

xen-api (1.3-13) unstable; urgency=low

  * Initial release (Closes: #646720)

 -- Jon Ludlam <jonathan.ludlam@eu.citrix.com>  Thu, 07 Jul 2011 21:50:18 +0100
