=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export PLATFORM_NAME="XCP_Kronos"
export PLATFORM_VERSION="1.6.0"

%:
	dh $@ --with ocaml,python2

clean: 
	dh clean
	find . -name "*.omc" | xargs rm

override_dh_installinit:
	dh_installinit -pxcp-xapi -- defaults 23
	dh_installinit -pxcp-squeezed -- defaults 22
	dh_installinit -pxcp-v6d -- defaults 20

override_dh_python2:
	dh_python2
	dh_python2 /usr/lib/xcp
