## xen-api 1.3.2

=== Makefile ===
--- 
+++ 
@@ -23,8 +23,27 @@
 COMPILE_BYTE=no # bytecode version does not build
 export COMPILE_NATIVE COMPILE_BYTE
 
+# FHS stuff
+VARDIR=/var/xapi
+VARPATCHDIR=/var/patch
+ETCDIR=/etc/xensource
+OPTDIR=/opt/xensource
+PLUGINDIR=/etc/xapi.d/plugins
+HOOKSDIR=/etc/xapi.d
+INVENTORY=/etc/xensource-inventory
+XAPICONF=/etc/xapi.conf
+LIBEXECDIR=/opt/xensource/libexec
+SCRIPTSDIR=/etc/xensource/scripts
+SHAREDIR=/opt/xensource
+WEBDIR=/opt/xensource/www
+XHADIR=/opt/xensource/xha
+BINDIR=/opt/xensource/bin
+SBINDIR=/opt/xensource/bin
+
+export VARDIR ETCDIR OPTDIR PLUGINDIR HOOKSDIR INVENTORY VARPATCHDIR LIBEXECDIR XAPICONF SCRIPTSDIR SHAREDIR WEBDIR XHADIR BINDIR SBINDIR
+
 .PHONY: all
-all: version
+all: version ocaml/fhs.ml
 	omake phase1
 	omake phase2
 	omake phase3
@@ -81,23 +100,43 @@
 	let git_id = \"$(shell git show-ref --head | grep -E ' HEAD$$' | cut -f 1 -d ' ')\" \n \
 	let hostname = \"$(shell hostname)\" \n \
 	let date = \"$(shell date -u +%Y-%m-%d)\" \n \
-	let product_version = \"$(PRODUCT_VERSION)\" \n \
-	let product_version_text = \"$(PRODUCT_VERSION_TEXT)\" \n \
-	let product_version_text_short = \"$(PRODUCT_VERSION_TEXT_SHORT)\" \n \
-	let platform_version = Util_inventory.lookup ~default:\"\" \"PLATFORM_VERSION\" \n \
-	let product_brand = \"$(PRODUCT_BRAND)\" \n \
+	let product_version = Util_inventory.lookup ~default:\"\" \"PRODUCT_VERSION\" \n \
+	let product_version_text = Util_inventory.lookup ~default:\"\" \"PRODUCT_VERSION_TEXT\" \n \
+	let product_version_text_short = Util_inventory.lookup ~default:\"\" \"PRODUCT_VERSION_TEXT_SHORT\" \n \
+	let platform_name = \"$(PLATFORM_NAME)\" \n \
+	let platform_version = \"$(PLATFORM_VERSION)\" \n \
+	let product_brand = Util_inventory.lookup ~default:\"\" \"PRODUCT_BRAND\" \n \
 	let build_number = Util_inventory.lookup ~default:\"$(BUILD_NUMBER)\" \"BUILD_NUMBER\" \n \
 	let xapi_version_major = $(shell cut -d. -f1 VERSION) \n \
 	let xapi_version_minor = $(shell cut -d. -f2 VERSION) \n" \
 	> ocaml/util/version.ml
 
- .PHONY: clean
+ocaml/fhs.ml :
+	@printf "(* This file is autogenerated by xen-api.git/Makefile *)\n \
+	let vardir=\"$(VARDIR)\"\n \
+	let etcdir=\"$(ETCDIR)\"\n \
+	let optdir=\"$(OPTDIR)\"\n \
+	let plugindir=\"$(PLUGINDIR)\"\n \
+	let inventory=\"$(INVENTORY)\"\n \
+	let hooksdir=\"$(HOOKSDIR)\"\n \
+	let libexecdir=\"$(LIBEXECDIR)\"\n \
+	let xapiconf=\"$(XAPICONF)\"\n \
+	let scriptsdir=\"$(SCRIPTSDIR)\"\n \
+	let varpatchdir=\"$(VARPATCHDIR)\"\n \
+	let webdir=\"$(WEBDIR)\"\n \
+	let xhadir=\"$(XHADIR)\"\n \
+	let bindir=\"$(BINDIR)\"\n \
+	let sbindir=\"$(SBINDIR)\"\n \
+	let sharedir=\"$(SHAREDIR)\"\n" \
+	> ocaml/fhs.ml
+ 
+.PHONY: clean
  clean:
 
 .PHONY: xapi.spec
 xapi.spec: xapi.spec.in
 	sed -e 's/@RPM_RELEASE@/$(shell git rev-list HEAD | wc -l)/g' < $< > $@
-	sed -i "s!@BASE_PATH@!${BASE_PATH}!g" $@
+	sed -i "s!@OPTDIR@!${OPTDIR}!g" $@
 
 .PHONY: srpm
 srpm: xapi.spec
