=== debian/changelog ===
xen-api (1.3.2-6) unstable; urgency=low

  [Martin Pitt <martin.pitt@ubuntu.com>]
  * debian/control, debian/README.Debian: Move from smbfs (which is not built
    any more) to cifs-utils.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 May 2012 18:01:35 +0000

xen-api (1.3.2-5) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #663473
  * [Debconf translation updates]
  * Polish (Michał Kułach).  Closes: #665977
  * Russian (Yuri Kozlov).  Closes: #665994
  * Danish (Joe Hansen).  Closes: #666518
  * Czech (Michal Simunek).  Closes: #666551
  * French (Thomas Vincent).  Closes: #667549
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #668090
  * Italian (Beatrice Torracca).  Closes: #668162
  * Spanish; (Camaleón).  Closes: #668183
  * German (Chris Leick).  Closes: #666712
  * Swedish (Martin Bagge / brother).  Closes: #668290
  * Portuguese (Miguel Figueiredo).  Closes: #668310
  * Dutch; (Jeroen Schot).  Closes: #668527
  * Simplified Chinese (Cao Wei / 曹玮).

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Apr 2012 19:20:40 +0000

xen-api (1.3.2-4) unstable; urgency=low

  * Added missing dependency on pciutils.
  * xcp-networkd should have been depending on debconf, not xcp-xapi, this is
  now corrected.
  * Bumped Standard-Version (no change).

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Mar 2012 11:22:14 +0000

xen-api (1.3.2-3) unstable; urgency=low

  * Added /etc/xen as an empty directory for xcp-networkd (Closes: #663352).

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Mar 2012 22:25:05 +0000

xen-api (1.3.2-2) unstable; urgency=low

  * New upstream release.
  * Fixes missing lsb-base dependency needed by all daemons init.d scripts.
  * Init scripts fail gracefully when preconditions not met
  [v 1.3.2-2]
  * xcp-networkd depends on openvswitch-datapath-dkms
  * xcp-networkd.init creates missing network.conf
  * Fix bug in vif hotplug script which prevented vm shutdowns
  [v 1.3.2-1]
  * New upstream feature: networkd.
  * BUG: fix service names in xe-toolstack-restart
  * BUG: fix errors in XenAPI.py
  [v 1.3.1-3]
  * BUG: remove erroneous vif plug patch
  * BUG: fix xe path in xe-mount-iso-sr
  [v 1.3.1-2]
  * Noop: merge package updates 1.3-15 and 1.3.1-1

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Feb 2012 03:14:30 +0000
