=== debian/control ===
Source: xen-api
Section: admin
Priority: extra
Maintainer: Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Jon Ludlam <jonathan.ludlam@eu.citrix.com>, Thomas Goirand <zigo@debian.org>, Mike McClurg <mike.mcclurg@citrix.com>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, dh-ocaml, ocaml-native-compilers, ocaml-findlib, camlp4, camlp4-extra, autotools-dev, libtype-conv-camlp4-dev, libxmlm-ocaml-dev, uuid-dev, libxcp-ocaml, libxcp-ocaml-dev, omake, libxen-ocaml-dev, libxen-ocaml, libpam-dev, zlib1g-dev, xen-utils, libxen-dev, libounit-ocaml-dev, python-all (>= 2.6.6-3~), po-debconf
Standards-Version: 3.9.3.1
Homepage: http://www.xen.org/products/cloudxen.html
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xen/xen-api.git
Vcs-Git: http://anonscm.debian.org/git/pkg-xen/xen-api.git

Package: xcp-xapi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, lsb-base, pciutils, python-xenapi (= ${source:Version}), xcp-squeezed, xcp-v6d, xcp-fe, xcp-storage-managers, xen-hypervisor-4.1-amd64 | xen-hypervisor-4.1-i386 | xen-hypervisor-4.1, xen-utils-4.1, stunnel, hwdata, xcp-eliloader, xcp-xe, xcp-networkd
Recommends: xcp-vncterm, xcp-guest-templates, cifs-utils
Provides: xcp
Description: Xen Cloud Platform - XenAPI server
 The Xen Cloud Platform (XCP) is a server virtualization and cloud
 computing platform, with support for a range of guest operating systems,
 including Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data
 centers by combining the isolation and multitenancy capabilities of the
 Xen hypervisor with enhanced security, storage, and network
 virtualization technologies to offer a rich set of virtual infrastructure
 cloud services. The platform also addresses user requirements for
 security, availability, performance, and isolation across both private
 and public clouds.
 .
 XCP consolidates server workloads, and enables savings in power, cooling,
 and management costs. This improves reliability and adaptability in
 ever-changing IT environments, with optimized use of existing hardware,
 and contributes to environmentally sustainable computing.
 .
 This package contains the XenAPI server, which provides the control plane
 for XCP hosts and resource pools.

Package: python-xenapi
Architecture: all
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Replaces: xcp-xapi (<< 1.3-14)
Description: Xen Cloud Platform - XenAPI Python libraries
 The Xen Cloud Platform (XCP) is a server virtualization and cloud
 computing platform, with support for a range of guest operating systems,
 including Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data
 centers by combining the isolation and multitenancy capabilities of the
 Xen hypervisor with enhanced security, storage, and network
 virtualization technologies to offer a rich set of virtual infrastructure
 cloud services. The platform also addresses user requirements for
 security, availability, performance, and isolation across both private
 and public clouds.
 .
 XCP consolidates server workloads, and enables savings in power, cooling,
 and management costs. This improves reliability and adaptability in
 ever-changing IT environments, with optimized use of existing hardware,
 and contributes to environmentally sustainable computing.
 .
 This package contains Python libraries to use the XCP API.

Package: xcp-squeezed
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, xen-hypervisor-4.1-amd64 | xen-hypervisor-4.1-i386 | xen-hypervisor-4.1, xen-utils-common
Description: Xen Cloud Platform - memory ballooning daemon
 The Xen Cloud Platform (XCP) is a server virtualization and cloud
 computing platform, with support for a range of guest operating systems,
 including Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data
 centers by combining the isolation and multitenancy capabilities of the
 Xen hypervisor with enhanced security, storage, and network
 virtualization technologies to offer a rich set of virtual infrastructure
 cloud services. The platform also addresses user requirements for
 security, availability, performance, and isolation across both private
 and public clouds.
 .
 XCP consolidates server workloads, and enables savings in power, cooling,
 and management costs. This improves reliability and adaptability in
 ever-changing IT environments, with optimized use of existing hardware,
 and contributes to environmentally sustainable computing.
 .
 This daemon takes requests from xapi, the XenAPI server, in the form of
 xenstore trees, and can balloons domains up and down.

Package: xcp-v6d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: Xen Cloud Platform - feature daemon
 The Xen Cloud Platform (XCP) is a server virtualization and cloud
 computing platform, with support for a range of guest operating systems,
 including Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data
 centers by combining the isolation and multitenancy capabilities of the
 Xen hypervisor with enhanced security, storage, and network
 virtualization technologies to offer a rich set of virtual infrastructure
 cloud services. The platform also addresses user requirements for
 security, availability, performance, and isolation across both private
 and public clouds.
 .
 XCP consolidates server workloads, and enables savings in power, cooling,
 and management costs. This improves reliability and adaptability in
 ever-changing IT environments, with optimized use of existing hardware,
 and contributes to environmentally sustainable computing.
 .
 This daemon manages the features that are enabled or disabled on an XCP host.

Package: libxenapi-ocaml-dev
Architecture: any
Section: ocaml
Depends: ${ocaml:Depends}, ${misc:Depends}
Description: Xen Cloud Platform - OCaml bindings
 The Xen Cloud Platform (XCP) is a server virtualization and cloud
 computing platform, with support for a range of guest operating systems,
 including Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data
 centers by combining the isolation and multitenancy capabilities of the
 Xen hypervisor with enhanced security, storage, and network
 virtualization technologies to offer a rich set of virtual infrastructure
 cloud services. The platform also addresses user requirements for
 security, availability, performance, and isolation across both private
 and public clouds.
 .
 XCP consolidates server workloads, and enables savings in power, cooling,
 and management costs. This improves reliability and adaptability in
 ever-changing IT environments, with optimized use of existing hardware,
 and contributes to environmentally sustainable computing.
 .
 This package contains OCaml libraries for the XenAPI. These will
 allow a program to communicate with an XCP host running xapi.

Package: xcp-xapi-debug
Section: debug
Architecture: any
Depends: xcp-xapi, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Description: Xen Cloud Platform - debugging tools
 The Xen Cloud Platform (XCP) is a server virtualization and cloud
 computing platform, with support for a range of guest operating systems,
 including Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data
 centers by combining the isolation and multitenancy capabilities of the
 Xen hypervisor with enhanced security, storage, and network
 virtualization technologies to offer a rich set of virtual infrastructure
 cloud services. The platform also addresses user requirements for
 security, availability, performance, and isolation across both private
 and public clouds.
 .
 XCP consolidates server workloads, and enables savings in power, cooling,
 and management costs. This improves reliability and adaptability in
 ever-changing IT environments, with optimized use of existing hardware,
 and contributes to environmentally sustainable computing.
 .
 This package contains extra binary utilities for debugging XCP hosts.

Package: xcp-xe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Xen Cloud Platform - command-line utilities
 The Xen Cloud Platform (XCP) is a server virtualization and cloud
 computing platform, with support for a range of guest operating systems,
 including Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data
 centers by combining the isolation and multitenancy capabilities of the
 Xen hypervisor with enhanced security, storage, and network
 virtualization technologies to offer a rich set of virtual infrastructure
 cloud services. The platform also addresses user requirements for
 security, availability, performance, and isolation across both private
 and public clouds.
 .
 XCP consolidates server workloads, and enables savings in power, cooling,
 and management costs. This improves reliability and adaptability in
 ever-changing IT environments, with optimized use of existing hardware,
 and contributes to environmentally sustainable computing.
 .
 This package provides the xe utility, the command-line interface for XCP
 systems. This tool can be used from dom0 to control a Debian XCP system,
 or from a non-Xen system to control an XCP or Citrix XenServer system.

Package: xcp-networkd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, debconf, ethtool, bridge-utils, iproute, isc-dhcp-client, procps, openvswitch-switch, module-init-tools, openvswitch-datapath-dkms
Description: Xen Cloud Platform - network configuration daemon
 The Xen Cloud Platform (XCP) is a server virtualization and cloud
 computing platform, with support for a range of guest operating systems,
 including Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data
 centers by combining the isolation and multitenancy capabilities of the
 Xen hypervisor with enhanced security, storage, and network
 virtualization technologies to offer a rich set of virtual infrastructure
 cloud services. The platform also addresses user requirements for
 security, availability, performance, and isolation across both private
 and public clouds.
 .
 XCP consolidates server workloads, and enables savings in power, cooling,
 and management costs. This improves reliability and adaptability in
 ever-changing IT environments, with optimized use of existing hardware,
 and contributes to environmentally sustainable computing.
 .
 This package provides a network configuration daemon for xcp-xapi, which
 handles the configuration of network interfaces and network bridges (either
 Linux or Open vSwitch) for xcp-xapi.
