=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	dh_installinit -pxcp-xapi -- defaults 23
 	dh_installinit -pxcp-squeezed -- defaults 22
 	dh_installinit -pxcp-v6d -- defaults 20
+	dh_installinit -pxcp-networkd -- defaults 20
 
 override_dh_python2:
 	dh_python2
