=== debian/watch ===
version=3
https://github.com/jonludlam/xen-api/tags /jonludlam/xen-api/tarball/master/(.+)
